﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TrieApp.controls
{
	/// <summary>
	/// Interaction logic for ctrlTriePresentation.xaml
	/// </summary>
	public partial class ctrlTriePresentation : UserControl
	{
		public ctrlTriePresentation()
		{
			InitializeComponent();
			//treeView.LayoutUpdated += delegate { ExpandRoot(); };
		}



		void ExpandRoot()
		{
			if (this.treeView.Items == null || this.treeView.Items.Count <= 0)
				return;


			// TreeView.Items is a collection of the data objects, not of the TreeViewItems. 
			// You can use the ItemContainerGenerator to get the mapping from data objects to the TreeViewItems that are the containers. 
			// TreeViewItem	tvi = (TreeViewItem) treeView.ItemContainerGenerator.ContainerFromIndex(0);

			// If you start with a data object instead of the index then you can use ContainerFromItem: 
			TreeViewItem	root =	(TreeViewItem) treeView.ItemContainerGenerator.ContainerFromItem(treeView.Items.GetItemAt(0));

			if (root != null)
				root.IsExpanded = true;
		}

		private void UserControl_Loaded(object sender, RoutedEventArgs e)
		{
			ExpandRoot();
		}

	}
}
