﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TrieApp.controls
{
	/// <summary>
	/// Interaction logic for BusySpinCtrl.xaml
	/// </summary>
	public partial class BusySpinCtrl : UserControl
	{
		public BusySpinCtrl()
		{
			InitializeComponent();
		}

		private void UserControl_IsVisibleChanged(object sender, DependencyPropertyChangedEventArgs e)
		{
			Storyboard	story	= this.FindResource("StoryboardSpin") as Storyboard;

			if(e == null || story == null)
				return;

			if(this.Visibility == Visibility.Visible)
				story.Begin();
			else
				story.Stop();
		}
	}
}
